onEvent('recipes', event => {
  //removals
  removeRecipeByID(event, [
      IF("mob_slaughter_factory"),

      //infinity tools recipes in synthesizing.zs
      IF("dissolution_chamber/infinity_hammer"),
      IF("dissolution_chamber/infinity_drill"),
      IF("dissolution_chamber/infinity_saw"),
      IF("dissolution_chamber/infinity_trident"),
      IF("dissolution_chamber/infinity_backpack"),
      IF("dissolution_chamber/infinity_launcher"),
      IF("dissolution_chamber/infinity_nuke"),

  ])



  //mob slaughter factory
  event.shaped(IF("mob_slaughter_factory"), [
    'PGP',
    'SFS',
    'ATA'
  ], {
    P: IF("plastic"),
    G: F("#gears/gold"),
    S: MC("iron_sword"),
    F: IF("machine_frame_simple"),
    A: MC("iron_axe"),
    T: KJ("calculation_mechanism")
  })

  //mechanical dirt
  event.replaceInput({ id: IF("dissolution_chamber/mechanical_dirt") }, IF("machine_frame_pity"), IF("machine_frame_simple"))
  event.replaceInput({ id: IF("dissolution_chamber/mechanical_dirt") }, MC("dirt"), MU("cursed_earth"))

  //black hole controller
  event.replaceInput({ id: IF("black_hole_controller") }, MC("ender_chest"), ES("ender_chest"))

  //plant gatherer
  event.replaceInput({ id: IF("plant_gatherer") }, IF("machine_frame_pity"), IF("machine_frame_supreme"))
})